.TH @@@AX25IPD@@@ 1 "12 September 2001" Linux "Linux Programmer's Manual"
.SH NAME
@@@ax25ipd@@@ \- AX.25 into IP Encapsulator
.SH SYNOPSIS
.B @@@ax25ipd@@@ [options]
.SH DESCRIPTION
.LP
.B @@@ax25ipd@@@
is an RFC1226 compliant daemon capable of providing the encapsulation
necessary to send and receive AX.25 traffic across an IP transport.
.LP
Normally invoked as part of the boot order network initialisation,
.B @@@ax25ipd@@@
is capable of talking directly to a serial port connected tnc, or over
a pipe to a linux AX.25 port. KAM DE Dual Port Kiss is also supported.
.LP
.B @@@ax25ipd@@@
can be run as a pure encapsulator, or as a digital repeater with a
functional callsign. Destination IP addresses are determined from a
hardcoded map of callsign/IP Address pairs.
.LP
.B @@@ax25ipd@@@
defaults to using
.B /etc/ax25/ax25ipd.conf
as its config file.
.LP
.SH OPTIONS
.TP 10
.BI \-v,--version
Display the version.
.TP 10
.BI \-h,--help
Display a summary of the command line options.
.TP 10
.BI \-l,--loglevel NUM
Set the logging level to NUM.
.TP 10
.BI \-c,--configfile FILE
Use the configuration file named by FILE instead of the default.
.TP 10
.BI \-d,--ttydevice TTYDEV
Use ttydevice instead of the configured. This is useful because on systems
with unix98 PTYs the device is allocated dynamically and thus the name is
not predictable.
.TP 10
.BI \-f,--nofork
Do not become a daemon. Run in foreground.
.SH FILES
/etc/ax25/ax25ipd.conf
.SH "SEE ALSO"
.BR ax25ipd.conf (5),
.BR ax25 (4),
.BR kissattach (8).
.LP
.SH BUGS
Routing needs to be looked at seriously, the method of routing is a real
hack, and improvements to it have only added to the hack.
.LP
Logging needs to be properly implemented.
.LP
Command line parsing needs to be properly implemented.
.LP
.B @@@ax25ipd@@@
should be part of the Linux AX.25 kernel support probably :-)
.SH AUTHORS
.nf
Michael Westerhof <Mike.Westerhof@Central.Sun.COM> <invalid address>
.br
Michael Durrant VE3PNX <mdurrant@arcturusnetworks.com>
.br
D. Jeff Dionne VE3DJF <Jeff@lnx_rpi.ee.ryerson.ca>
.br
Rob Mayfield VK5XXX/VK5ZEU <mayfieldrob@mail.dec.com>
.br
Terry Dawson VK2KTJ <terry@animats.net>
.br
.fi
